﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Drawing;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }


    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = OrdersTable();
    }

    private DataTable OrdersTable()
    {
        DataTable dt = new DataTable();

        dt.Columns.Add(new DataColumn("OrderID", typeof(int)));
        dt.Columns.Add(new DataColumn("OrderDate", typeof(DateTime)));
        dt.Columns.Add(new DataColumn("Freight", typeof(decimal)));
        dt.Columns.Add(new DataColumn("ShipName", typeof(string)));
        dt.Columns.Add(new DataColumn("ShipCountry", typeof(string)));

        dt.PrimaryKey = new DataColumn[] { dt.Columns["OrderID"] };

        for (int i = 0; i < 10; i++)
        {
            int index = i + 1;

            DataRow row = dt.NewRow();

            row["OrderID"] = index;
            row["OrderDate"] = new DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 0, 0, 0).AddHours(index);

            if (index % 5 == 0) { row["Freight"] = 9; }
            else if (index % 4 == 0) { row["Freight"] = -1; }
            else if (index % 3 == 0) { row["Freight"] = 2; }
            else if (index % 2 == 0) { row["Freight"] = 5; }
            else { row["Freight"] = 6; }

            row["ShipName"] = "Name " + index;
            row["ShipCountry"] = "Country " + index;

            dt.Rows.Add(row);
        }

        return dt;
    }


    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem dataItem = e.Item as GridDataItem;

            var goal = double.Parse(dataItem.GetDataKeyValue("Freight").ToString());

            if (goal <= 0.0)
                dataItem.BackColor = Color.FromName("#ffb2ae"); // Pastel Red
            else if (goal > 0.0 && goal < 3.0)
                dataItem.BackColor = Color.FromName("#ffd394"); // Pastel Orange
            else if (goal >= 3.0 && goal < 7)
                dataItem.BackColor = Color.FromName("#fdfd96"); // Pastel Yellow
            else if (goal >= 7.0 && goal < 10)
                dataItem.BackColor = Color.FromName("a0e7a0"); // Pastel Green
        }
    }

    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        //foreach (GridDataItem dataItem in RadGrid1.Items)
        //{
        //    var goal = double.Parse(dataItem.GetDataKeyValue("Freight").ToString());

        //    if (goal <= 0.0)
        //        dataItem.CssClass += " pastel-red"; //dataItem.BackColor = Color.FromName("#ffb2ae"); // Pastel Red
        //    else if (goal > 0.0 && goal < 3.0)
        //        dataItem.CssClass += " pastel-orange"; //dataItem.BackColor = Color.FromName("#ffd394"); // Pastel Orange
        //    else if (goal >= 3.0 && goal < 7)
        //        dataItem.CssClass += " pastel-yellow"; //dataItem.BackColor = Color.FromName("#fdfd96"); // Pastel Yellow
        //    else if (goal >= 7.0 && goal < 10)
        //        dataItem.CssClass += " pastel-green"; //dataItem.BackColor = Color.FromName("a0e7a0"); // Pastel Green
        //}
    }
}
